This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259265 - Cannot save imported process with signal catching event
Cannot save imported process with signal catching event
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: CR2
: 6.1.0
Assigned To: Tihomir Surdilovic
Jiri Locker
: Regression
Depends On:
Blocks: bpms6.1.3-payload
  Show dependency treegraph
 
Reported: 2015-09-02 06:20 EDT by Jiri Locker
Modified: 2015-09-10 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Process with signal catching boundary event created in 6.1.2 (12.14 KB, application/xml)
2015-09-02 06:20 EDT, Jiri Locker
no flags Details
Exception stack trace from server.log (5.32 KB, text/plain)
2015-09-02 06:22 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2015-09-02 06:20:20 EDT
Created attachment 1069341 [details]
Process with signal catching boundary event created in 6.1.2

Description of problem:
jBPM Designer allows to set arbitrary value as a signalRef property of signal-catching boundary event. 6.1.3.CR1 contains a change in Bpmn2JsonUnmarshaller that requires the signalRef to be UUID string. If the process with non-UUID signalRef is imported in 6.1.3.CR1 it cannot be saved due to exception in parsing the signalRef into UUID. Also validation fails with message "Could not parse BPMN process".

Version-Release number of selected component (if applicable):
6.1.3.CR1

How reproducible:
-

Steps to Reproduce:
1. Import attached process into Designer.
2. Click save and view validation issues.

Actual results:
* Save fails with Error notification with "null" message, exception in server log.
* Validation fails to parse the process.

Expected results:
No errors.

Additional info:
Comment 1 Jiri Locker 2015-09-02 06:22:24 EDT
Created attachment 1069342 [details]
Exception stack trace from server.log
Comment 3 Tihomir Surdilovic 2015-09-02 11:31:04 EDT
6.2.x commit for this change: https://github.com/droolsjbpm/jbpm-designer/commit/7c2ffa5356397b238f44a06eb943a5851145ac62
Comment 4 Jiri Locker 2015-09-10 08:24:54 EDT
Fixed in 6.1.3.CR2.

Note You need to log in before you can comment on or make changes to this bug.